<div class="unwrappable-layout">
  <%= form_with(model: @membership_request, local: true, id: 'join-form', class: 'form') do |form| %>
    <div class="form-field">
      <%= form.label :full_name %>
      <%= form.text_field :full_name, class: 'form-input' %>
    </div>

    <div class="form-fieldset">
      <div class="form-field">
        <%= form.label :birthdate %>
        <%= form.text_field :birthdate, class: 'form-input',
                                        title: t('.date_hint'),
                                        maxlength: 10,
                                        data: {format: 'date'} %>
      </div>
      <div class="form-field">
        <%= form.label :phone %>
        <%= form.phone_field :phone, class: 'form-input',
                                     title: t('.phone_hint'),
                                     maxlength: 16,
                                     data: {format: 'phone'} %>
      </div>
    </div>

    <div class="form-field">
      <%= form.label :federal_subject_id %>
      <%= form.select :federal_subject_id,
                      FederalSubject.all.map { |fs| [fs.name, fs.id] },
                      {include_blank: true},
                      class: 'form-input form-select',
                      id: 'federal-subject-input' %>
    </div>

    <div class="form-field">
      <%= form.label :residence %>
      <%= form.text_field :residence, class: 'form-input',
                                      id: 'residence-input' %>
    </div>

    <div class="form-field">
      <%= form.label :district %>
      <%= form.text_field :district, class: 'form-input',
                                     id: 'district-input' %>
    </div>

    <div class="form-fieldset">
      <div class="form-field">
        <%= form.label :email %>
        <%= form.email_field :email, class: 'form-input' %>
      </div>
      <div class="form-field">
        <%= form.label :telegram %>
        <%= form.text_field :telegram, class: 'form-input' %>
      </div>
    </div>

    <div class="form-field">
      <%= form.label :occupation %>
      <%= form.text_field :occupation, class: 'form-input' %>
    </div>

    <div class="form-field">
      <%= form.label :public_organizations %>
      <%= form.text_area :public_organizations,
                         class: 'form-input form-multiline' %>
    </div>

    <div class="form-field">
      <%= form.label :comment %>
      <%= form.text_area :comment, class: 'form-input form-multiline' %>
    </div>

    <div class="form-actions">
      <%= form.submit t('.submit'), class: 'button button-primary' %>
    </div>
  <% end %>

  <div class="unwrappable-layout">
    <div class="form-angle"></div>
    <div class="form-required">
      <span><%= t('.required') %></span>
    </div>
  </div>
</div>
